Tekton
===

Tekton is an open-source framework for creating continuous integration and continuous delivery (CI/CD) systems, designed to run on Kubernetes. It provides a set of reusable components, known as "Tasks" and "Pipelines," that enable developers to define and automate their software delivery processes. By leveraging Kubernetes-native resources, Tekton allows for scalable and flexible workflows that can integrate with various tools and services in the cloud-native ecosystem.

<iframe src="https://www.youtube-nocookie.com/embed/skcLi9-WTkA" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>