Integrity Monitoring
===

This component takes the default Immich library and generates and validates hashes for all pictures in it. The goal is to prevent silent corruption of pictures. While Filesystems like ZFS have good protection mechanisms against bitrot these days, nothing prevents a bad update of an app form ruining your holiday pictures.

If it destroy the pictures immediately, it'll become apparent and a restore from a backup can be done. But when it only corrupts 1% or 10% of all pictures, it'll be harder to detect and maybe the backups will be deleted by the time it's noticed. Therefore this component has no other job than doing a daily verification of the images.

If the job fails, this might be an indicator and should be checked in detail. It should certainly ensure that the backups are still around to recover images that might got damaged by whatever means.
