#!/bin/sh

BASE=$(dirname "$0")

# renovate: datasource=github-releases depName=tektoncd/pipeline
PIPELINES_VERSION=v0.70.0

# renovate: datasource=github-releases depName=tektoncd/triggers
TRIGGERS_VERSION=v0.31.0

curl "https://storage.googleapis.com/tekton-releases/pipeline/previous/${PIPELINES_VERSION}/release.yaml" > "$BASE/tekton-pipelines.yaml"
curl "https://storage.googleapis.com/tekton-releases/triggers/previous/${TRIGGERS_VERSION}/release.yaml" > "$BASE/tekton-triggers.yaml"
curl "https://storage.googleapis.com/tekton-releases/triggers/previous/${TRIGGERS_VERSION}/interceptors.yaml" > "$BASE/tekton-interceptors.yaml"